# Uses of Interface
org.apache.sling.testing.resourceresolver.MockResourceFactory

## Uses of MockResourceFactory in org.apache.sling.testing.resourceresolver

Classes in org.apache.sling.testing.resourceresolver that implement MockResourceFactory
Modifier and Type
Class
Description
`class`
`DefaultMockResourceFactory`
Default factory implementation that always returns a MockResource object
Methods in org.apache.sling.testing.resourceresolver that return MockResourceFactory
Modifier and Type
Method
Description
`@NotNull MockResourceFactory`
MockResourceResolverFactoryOptions.`getMockResourceFactory()`
Methods in org.apache.sling.testing.resourceresolver with parameters of type MockResourceFactory
Modifier and Type
Method
Description
`@NotNull MockResourceResolverFactoryOptions`
MockResourceResolverFactoryOptions.`setMockResourceFactory(MockResourceFactory factory)`